Bug 211021 - z90crypt requires a test user
z90crypt requires a test user
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 16:31 EDT by Rob Landry
Modified: 2008-07-16 17:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 16:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2006-10-16 16:31:49 EDT
Description of problem:

$SUBJECT; rhr2 adds an rhr2test user for this; can use a different user if
preferred/required.  Would need to verify if the 'nobody' user could be used.


Version-Release number of selected component (if applicable):

hts-5.0-2
Comment 1 heyinglong 2006-11-01 05:28:26 EST
I review the rhr2 SPEC file, found the rhr2 SPEC did some job for user rhr2test,
which as following:

-----------------------------------------------------------------------------
if ! getent passwd rhr2test &> /dev/null; then
    home=/var/log/rhr/home/rhr2test
    mkdir -p -m 0700 $home
    useradd -c "Red Hat Ready Test User" rhr2test -u 87 -d $home -r -s
/sbin/nologin -M
    # s390[x] has the the pkcs11 group, which is needed for crypto testing
    getent group pkcs11 &> /dev/null && usermod -G pkcs11 rhr2test
    chown rhr2test:rhr2test $home
fi
------------------------------------------------------------------------------

I also review the /usr/share/rhr/tests/Z90CRYPT, found where do user rhr2test is
used:
------------------------------------------------------------------------------
echo "if [ `$pkcsconf -t` 1>&2; echo $? -eq 192 ]; then true; else false; fi" |
su - rhr2test -s /bin/bash
-------------------------------------------------------------------------------

So I think we can use another user in hts, but we must ensure the user which we
use in hts should in pkcs11 group.
Comment 2 Irina Boverman 2006-11-29 16:20:53 EST
Closed as no longer required.

Note You need to log in before you can comment on or make changes to this bug.